<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk VKeyboard**** 
-->

<!-- ****** VKeys definitions ********** -->
<!ENTITY kbd.key1.id       "kbd1">
<!ENTITY kbd.key1.label    "Q">
<!ENTITY kbd.key1.class    "VKey">
<!ENTITY kbd.key1.command  "VKhandlefocus('q');">
 
<!ENTITY kbd.key2.id       "kbd2">
<!ENTITY kbd.key2.label    "W">
<!ENTITY kbd.key2.class    "VKey">
<!ENTITY kbd.key2.command  "VKhandlefocus('w');">

<!ENTITY kbd.key3.id       "kbd3">
<!ENTITY kbd.key3.label    "E">
<!ENTITY kbd.key3.class    "VKey">
<!ENTITY kbd.key3.command  "VKhandlefocus('e');">

<!ENTITY kbd.key4.id       "kbd4">
<!ENTITY kbd.key4.label    "R">
<!ENTITY kbd.key4.class    "VKey">
<!ENTITY kbd.key4.command  "VKhandlefocus('r');">

<!ENTITY kbd.key5.id       "kbd5">
<!ENTITY kbd.key5.label    "T">
<!ENTITY kbd.key5.class    "VKey">
<!ENTITY kbd.key5.command  "VKhandlefocus('t');">

<!ENTITY kbd.key6.id       "kbd6">
<!ENTITY kbd.key6.label    "Y">
<!ENTITY kbd.key6.class    "VKey">
<!ENTITY kbd.key6.command  "VKhandlefocus('y');">

<!ENTITY kbd.key7.id       "kbd7">
<!ENTITY kbd.key7.label    "U">
<!ENTITY kbd.key7.class    "VKey">
<!ENTITY kbd.key7.command  "VKhandlefocus('u');">

<!ENTITY kbd.key8.id       "kbd8">
<!ENTITY kbd.key8.label    "I">
<!ENTITY kbd.key8.class    "VKey">
<!ENTITY kbd.key8.command  "VKhandlefocus('i');">

<!ENTITY kbd.key9.id       "kbd9">
<!ENTITY kbd.key9.label    "O">
<!ENTITY kbd.key9.class    "VKey">
<!ENTITY kbd.key9.command  "VKhandlefocus('o');">

<!ENTITY kbd.key10.id       "kbd10">
<!ENTITY kbd.key10.label    "P">
<!ENTITY kbd.key10.class    "VKey">
<!ENTITY kbd.key10.command  "VKhandlefocus('p');">

<!ENTITY kbd.key11.id       "kbd11">
<!ENTITY kbd.key11.label    "?">
<!ENTITY kbd.key11.class    "VKey">
<!ENTITY kbd.key11.command  "VKhandlefocus('?');">

<!ENTITY kbd.key12.id       "kbd12">
<!ENTITY kbd.key12.label    "!">
<!ENTITY kbd.key12.class    "VKey">
<!ENTITY kbd.key12.command  "VKhandlefocus('!');">

<!ENTITY kbd.key13.id       "kbd13">
<!ENTITY kbd.key13.label    "@">
<!ENTITY kbd.key13.class    "VKey">
<!ENTITY kbd.key13.command  "VKhandlefocus('@');">

<!ENTITY kbd.key14.id       "kbd14">
<!ENTITY kbd.key14.label    "Tgl">
<!ENTITY kbd.key14.class    "VKey">
<!ENTITY kbd.key14.command  "VKtoggle_pad();">
<!ENTITY kbd.key14.tooltip  "Toggles the numeric/special keypads">

<!-- ********** VKeyboard row 2 definitions ************ -->
<!ENTITY kbd.key15.id       "kbd15">
<!ENTITY kbd.key15.label    "A">
<!ENTITY kbd.key15.class    "VKey">
<!ENTITY kbd.key15.command  "VKhandlefocus('a');">

<!ENTITY kbd.key16.id       "kbd16">
<!ENTITY kbd.key16.label    "S">
<!ENTITY kbd.key16.class    "VKey">
<!ENTITY kbd.key16.command  "VKhandlefocus('s');">

<!ENTITY kbd.key17.id       "kbd17">
<!ENTITY kbd.key17.label    "D">
<!ENTITY kbd.key17.class    "VKey">
<!ENTITY kbd.key17.command  "VKhandlefocus('d');">

<!ENTITY kbd.key18.id       "kbd18">
<!ENTITY kbd.key18.label    "F">
<!ENTITY kbd.key18.class    "VKey">
<!ENTITY kbd.key18.command  "VKhandlefocus('f');">

<!ENTITY kbd.key19.id       "kbd19">
<!ENTITY kbd.key19.label    "G">
<!ENTITY kbd.key19.class    "VKey">
<!ENTITY kbd.key19.command  "VKhandlefocus('g');">

<!ENTITY kbd.key20.id       "kbd20">
<!ENTITY kbd.key20.label    "H">
<!ENTITY kbd.key20.class    "VKey">
<!ENTITY kbd.key20.command  "VKhandlefocus('h');">

<!ENTITY kbd.key21.id       "kbd21">
<!ENTITY kbd.key21.label    "J">
<!ENTITY kbd.key21.class    "VKey">
<!ENTITY kbd.key21.command  "VKhandlefocus('j');">

<!ENTITY kbd.key22.id       "kbd22">
<!ENTITY kbd.key22.label    "K">
<!ENTITY kbd.key22.class    "VKey">
<!ENTITY kbd.key22.command  "VKhandlefocus('l');">

<!ENTITY kbd.key23.id       "kbd23">
<!ENTITY kbd.key23.label    ":">
<!ENTITY kbd.key23.class    "VKey">
<!ENTITY kbd.key23.command  "VKhandlefocus(':');">

<!ENTITY kbd.key24.id       "VK_shift">
<!ENTITY kbd.key24.label    "shift/caps">
<!ENTITY kbd.key24.class    "VKeyB">
<!ENTITY kbd.key24.command  "capslock();">

<!ENTITY kbd.key25.id       "kbd25">
<!ENTITY kbd.key25.label    "bakspace">
<!ENTITY kbd.key25.class    "VKeyB">
<!ENTITY kbd.key25.command  "VKbackspace();">

<!-- ***** VKey row 3 definitions ******** -->
<!ENTITY kbd.key26.id       "kbd26">
<!ENTITY kbd.key26.label    "Z">
<!ENTITY kbd.key26.class    "VKey">
<!ENTITY kbd.key26.command  "VKhandlefocus('z');">

<!ENTITY kbd.key27.id       "kbd27">
<!ENTITY kbd.key27.label    "X">
<!ENTITY kbd.key27.class    "VKey">
<!ENTITY kbd.key27.command  "VKhandlefocus('x');">

<!ENTITY kbd.key28.id       "kbd28">
<!ENTITY kbd.key28.label    "C">
<!ENTITY kbd.key28.class    "VKey">
<!ENTITY kbd.key28.command  "VKhandlefocus('c');">

<!ENTITY kbd.key29.id       "kbd29">
<!ENTITY kbd.key29.label    "V">
<!ENTITY kbd.key29.class    "VKey">
<!ENTITY kbd.key29.command  "VKhandlefocus('v');">

<!ENTITY kbd.key30.id       "kbd30">
<!ENTITY kbd.key30.label    "B">
<!ENTITY kbd.key30.class    "VKey">
<!ENTITY kbd.key30.command  "VKhandlefocus('b');">

<!ENTITY kbd.key31.id       "kbd31">
<!ENTITY kbd.key31.label    "N">
<!ENTITY kbd.key31.class    "VKey">
<!ENTITY kbd.key31.command  "VKhandlefocus('n');">

<!ENTITY kbd.key32.id       "kbd32">
<!ENTITY kbd.key32.label    "M">
<!ENTITY kbd.key32.class    "VKey">
<!ENTITY kbd.key32.command  "VKhandlefocus('m');">

<!ENTITY kbd.key33.id       "kbd33">
<!ENTITY kbd.key33.label    ",">
<!ENTITY kbd.key33.class    "VKey">
<!ENTITY kbd.key33.command  "VKhandlefocus(',');">

<!ENTITY kbd.key34.id       "kbd34">
<!ENTITY kbd.key34.label    ".">
<!ENTITY kbd.key34.class    "VKey">
<!ENTITY kbd.key34.command  "VKhandlefocus('.');">

<!ENTITY kbd.key35.id       "kbd35">
<!ENTITY kbd.key35.label    "/">
<!ENTITY kbd.key35.class    "VKey">
<!ENTITY kbd.key35.command  "VKhandlefocus('/');">

<!ENTITY kbd.key36.id       "kbd36">
<!ENTITY kbd.key36.label    "spaceD">
<!ENTITY kbd.key36.class    "VKeyB">
<!ENTITY kbd.key36.command  "VKhandlefocus('&#32;');">

<!ENTITY kbd.key37.id       "kbd37">
<!ENTITY kbd.key37.label    "return">
<!ENTITY kbd.key37.class    "VKeyB">
<!ENTITY kbd.key37.command  "VKhandlefocus('\n');">

<!-- ********* numeric keypad definitions ********* -->

<!ENTITY kbd.num1.id       "num1">
<!ENTITY kbd.num1.label    "9">
<!ENTITY kbd.num1.class    "VKey">
<!ENTITY kbd.num1.command  "VKhandlefocus('9');">

<!ENTITY kbd.num2.id       "num2">
<!ENTITY kbd.num2.label    "8">
<!ENTITY kbd.num2.class    "VKey">
<!ENTITY kbd.num2.command  "VKhandlefocus('8');">

<!ENTITY kbd.num3.id       "num3">
<!ENTITY kbd.num3.label    "7">
<!ENTITY kbd.num3.class    "VKey">
<!ENTITY kbd.num3.command  "VKhandlefocus('7');">

<!ENTITY kbd.num4.id       "num4">
<!ENTITY kbd.num4.label    "-">
<!ENTITY kbd.num4.class    "VKey">
<!ENTITY kbd.num4.command  "VKhandlefocus('-');">

<!ENTITY kbd.num5.id       "num5">
<!ENTITY kbd.num5.label    "6">
<!ENTITY kbd.num5.class    "VKey">
<!ENTITY kbd.num5.command  "VKhandlefocus('6');">

<!ENTITY kbd.num6.id       "num6">
<!ENTITY kbd.num6.label    "5">
<!ENTITY kbd.num6.class    "VKey">
<!ENTITY kbd.num6.command  "VKhandlefocus('5');">

<!ENTITY kbd.num7.id       "num7">
<!ENTITY kbd.num7.label    "4">
<!ENTITY kbd.num7.class    "VKey">
<!ENTITY kbd.num7.command  "VKhandlefocus('4');">

<!ENTITY kbd.num8.id       "num8">
<!ENTITY kbd.num8.label    "+">
<!ENTITY kbd.num8.class    "VKey">
<!ENTITY kbd.num8.command  "VKhandlefocus('+');">

<!ENTITY kbd.num9.id       "num9">
<!ENTITY kbd.num9.label    "3">
<!ENTITY kbd.num9.class    "VKey">
<!ENTITY kbd.num9.command  "VKhandlefocus('3');">

<!ENTITY kbd.num10.id       "num10">
<!ENTITY kbd.num10.label    "2">
<!ENTITY kbd.num10.class    "VKey">
<!ENTITY kbd.num10.command  "VKhandlefocus('2');">

<!ENTITY kbd.num11.id       "num11">
<!ENTITY kbd.num11.label    "1">
<!ENTITY kbd.num11.class    "VKey">
<!ENTITY kbd.num11.command  "VKhandlefocus('1');">

<!ENTITY kbd.num12.id       "num12">
<!ENTITY kbd.num12.label    "0">
<!ENTITY kbd.num12.class    "VKey">
<!ENTITY kbd.num12.command  "VKhandlefocus('0');">

<!-- ******* special keypad definitions ********** -->

<!ENTITY kbd.spec1.id       "spec1">
<!ENTITY kbd.spec1.label    "&#40;">
<!ENTITY kbd.spec1.class    "VKey">
<!ENTITY kbd.spec1.command  "VKhandlefocus('&#40;');">

<!ENTITY kbd.spec2.id       "spec2">
<!ENTITY kbd.spec2.label    "&#41;">
<!ENTITY kbd.spec2.class    "VKey">
<!ENTITY kbd.spec2.command  "VKhandlefocus('&#41;');">

<!ENTITY kbd.spec3.id       "spec3">
<!ENTITY kbd.spec3.label    "#">
<!ENTITY kbd.spec3.class    "VKey">
<!ENTITY kbd.spec3.command  "VKhandlefocus('#');">

<!ENTITY kbd.spec4.id       "spec4">
<!ENTITY kbd.spec4.label    "$">
<!ENTITY kbd.spec4.class    "VKey">
<!ENTITY kbd.spec4.command  "VKhandlefocus('$');">

<!ENTITY kbd.spec5.id       "spec5">
<!ENTITY kbd.spec5.label    "_">
<!ENTITY kbd.spec5.class    "VKey">
<!ENTITY kbd.spec5.command  "VKhandlefocus('_');">

<!ENTITY kbd.spec6.id       "spec6">
<!ENTITY kbd.spec6.label    "&#37;">
<!ENTITY kbd.spec6.class    "VKey">
<!ENTITY kbd.spec6.command  "VKhandlefocus('&#37;');">

<!ENTITY kbd.spec7.id       "spec7">
<!ENTITY kbd.spec7.label    "*">
<!ENTITY kbd.spec7.class    "VKey">
<!ENTITY kbd.spec7.command  "VKhandlefocus('*');">

<!ENTITY kbd.spec8.id       "spec8">
<!ENTITY kbd.spec8.label    "^">
<!ENTITY kbd.spec8.class    "VKey">
<!ENTITY kbd.spec8.command  "VKhandlefocus('^');">

<!ENTITY kbd.spec9.id       "spec9">
<!ENTITY kbd.spec9.label    "&#59;">
<!ENTITY kbd.spec9.class    "VKey">
<!ENTITY kbd.spec9.command  "VKhandlefocus('&#59;');">

<!ENTITY kbd.spec10.id       "spec10">
<!ENTITY kbd.spec10.label    "=">
<!ENTITY kbd.spec10.class    "VKey">
<!ENTITY kbd.spec10.command  "VKhandlefocus('=');">

<!ENTITY kbd.spec11.id       "spec11">
<!ENTITY kbd.spec11.label    "&#37;">
<!ENTITY kbd.spec11.class    "VKey">
<!ENTITY kbd.spec11.command  "VKhandlefocus('&#37;');">

<!ENTITY kbd.spec12.id       "spec12">
<!ENTITY kbd.spec12.label    "~">
<!ENTITY kbd.spec12.class    "VKey">
<!ENTITY kbd.spec12.command  "VKhandlefocus('~');">
